rfq.maker.decline
Decline an open request with a reason
WSS
/
Messages
{
"rfq_id": "0192f1a3b4c5d6e7f8091a2b3c4d5e6f",
"reason": "size_limit"
}{
"rfq_id": "0192f1a3b4c5d6e7f8091a2b3c4d5e6f",
"state": "declined",
"decline_reason": "size_limit"
}{
"error": "RFQ_NOT_READY",
"message": "RFQ chain-service state is not warm",
"operation_id": "rfq-18",
"retryable": true,
"rfq_id": "0192f1a3b4c5d6e7f8091a2b3c4d5e6f"
}Request params
type:object
Result
type:object
Error
type:object
Every rfq.* failure is JSON-RPC error 1200; this is its error.data object.
Messages
{
"rfq_id": "0192f1a3b4c5d6e7f8091a2b3c4d5e6f",
"reason": "size_limit"
}{
"rfq_id": "0192f1a3b4c5d6e7f8091a2b3c4d5e6f",
"state": "declined",
"decline_reason": "size_limit"
}{
"error": "RFQ_NOT_READY",
"message": "RFQ chain-service state is not warm",
"operation_id": "rfq-18",
"retryable": true,
"rfq_id": "0192f1a3b4c5d6e7f8091a2b3c4d5e6f"
}